Group: Communications
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install /usr/bin/glib-gettextize gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           xwota
Version:        0.4
Release:        alt1_26
Summary:        Who's On the Air Database interface

License:        GPL+
URL:            http://people.fabaris.it/iz0ete/xwota/
Source0:        http://people.fabaris.it/iz0ete/%{name}/%{name}-%{version}.tar.gz
Source1:        xwota.desktop
Source2:        xwota.png
Patch0:         xwota-0.4-overflow.patch
Patch1:         xwota-0.4-empty-fields.patch

BuildRequires:  gcc
BuildRequires:  gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel libgtk+2-gir-devel
BuildRequires:  desktop-file-utils
Source44: import.info
#Requires:

%description
Xwota is intended for amateur radio operators who want to make use of the WOTA
database.

It can be used to find out who is on the air, the band and frequency they are
operating on, and their location by country, state, county, grid, and
latitude/longitude

It's very similar to a DX Cluster client, but it works with the WOTA database
and contains more informations.

If you don't known what is the WOTA database, please read some infos at
http://www.wotadb.org.

%prep
%setup -q
%patch0 -p1 -b .overflow
%patch1 -p1 -b .empty-fields


%build
%configure
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
# Don't include these twice
rm -rf $RPM_BUILD_ROOT%{_usr}/doc/
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png
desktop-file-install \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}



%files
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*%{name}.desktop


%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_26
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_25
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_24
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_23
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_21
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_20
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_19
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_18
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_17
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_16
- update to new release by fcimport

* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_15
- update to new release by fcimport

* Wed Jan 16 2013 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_14
- initial fc import

